Bug 387597 - Context menu from notification appears in wrong position and has window decoration on Wayland
Summary: Context menu from notification appears in wrong position and has window decor...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-wayland (show other bugs)
Version: 5.17.90
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-04 18:28 UTC by Patrick Silva
Modified: 2020-01-27 19:38 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.0


Attachments
screenshot showing the context menu of a notification with window decoration positioned in the upper left corner (745.92 KB, image/png)
2020-01-27 15:10 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2017-12-04 18:28:00 UTC
neon dev unstable here

start plasma wayland session
press printscreen and enter to take a screenshot
right click on screenshot preview in notification
menu appears on top of the screen
Comment 1 Patrick Silva 2017-12-04 18:39:11 UTC
Sorry, here are better steps

start plasma wayland session
open dolphin
press printscreen and enter, click "save & exit" button to take a screenshot
right click on screenshot preview in notification
menu appears on top of the screen
Comment 2 Nate Graham 2017-12-04 20:00:16 UTC
Is it only Spectacle's notifications, or do other notifications also appear in the same place?
Comment 3 Patrick Silva 2017-12-04 20:46:10 UTC
I noticed this bug only with spectacle so far.
Comment 4 Nate Graham 2017-12-05 03:08:02 UTC
Thanks!
Comment 5 Patrick Silva 2018-05-18 21:31:54 UTC
bug persists on Arch Linux running plasma 5.13 beta and spectacle 18.04.1.
Comment 6 Patrick Silva 2020-01-27 15:10:12 UTC
Created attachment 125466 [details]
screenshot showing the context menu of a notification with window decoration positioned in the upper left corner

Operating System: Arch Linux 
KDE Plasma Version: 5.17.90
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.1
Comment 7 David Edmundson 2020-01-27 16:07:03 UTC
@kai, the fact it has a window deco is important.

It means Qt didn't think there was a toplevel with focus that it could request a popup for.

If Qt doesn't think it can create a popup it falls back to a toplevel which we're seeing here.
Comment 8 Kai Uwe Broulik 2020-01-27 16:08:43 UTC
> It means Qt didn't think there was a toplevel with focus that it could request a popup for.

Since this is a notification popup, there's no toplevel with focus, so this is to be expected?
Comment 9 Kai Uwe Broulik 2020-01-27 19:38:05 UTC
Git commit 3c31b7a6a1b744df631343befa6bd1690ed05a40 by Kai Uwe Broulik.
Committed on 27/01/2020 at 19:37.
Pushed by broulik into branch 'Plasma/5.18'.

[Notifications] Set transient parent for file menu

Required on Wayland so it can be properly positioned.
FIXED-IN: 5.18.0

Differential Revision: https://phabricator.kde.org/D26943

M  +2    -0    applets/notifications/filemenu.cpp

https://commits.kde.org/plasma-workspace/3c31b7a6a1b744df631343befa6bd1690ed05a40